How to solve Permission error during aWhere API R Package installation ?

Monday, September 3, 2018 - 00:48
Surajit Ghosh

I have tried to install aWhere API R Package as described in the we bpage - https://github.com/aWhereAPI/aWhere-R-Library. But, I am getting error, even when I am logging as administrator.
** testing if installed package can be loaded
*** arch - i386
Fatal error: cannot open file 'C:\Users\Surajit': Permission denied

*** arch - x64
Fatal error: cannot open file 'C:\Users\Surajit': Permission denied

ERROR: loading failed for 'i386', 'x64'
* removing 'D:/Program Files/R/R-3.4.4/library/aWhereAPI'
In R CMD INSTALL
Error: Command failed (1)

Answer Count: 
3

Hey dear, mostly peoples have face these type of issues because API is not updated and the old version is not proper working so that's why you also facing many problems. Now, you should wait for the upgraded version. I have also needed it and I also facing many issues because I need for my website https://www.assignmenthelp.ae/thesis-writing-service.php

Tuesday, March 5, 2019 - 03:25
Arif Raza

If the rules package depends upon other packages that are not as of now introduced locally, the R installer naturally downloads and introduces those required bundles. This is an enormous advantage that liberates clients from the task of distinguishing and resolving those dependencies. http://www.essayempire.co.uk/custom-essay-writing-service

Thursday, February 21, 2019 - 04:21
John Rushton

Hello Surajit, would you please provide the specific set of commands you are using to attempt to install the package. Are you attempting to use devtools::install_github or have you pulled the repo to your local machine and are attempting to install from there?

Also would you please confirm that from within R you are able to set your working directory to the folder 'C:\Users\Surajit'. With further information we can proceed; thank you

Tuesday, September 4, 2018 - 07:42
Drew Marticorena